<?php

/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package spatium14
 */
if (post_password_required()) {
	return;
}
?>
<div class="uk-container uk-container-small uk-padding">
	<div uk-grid>
		<div id="comments" class="comments-area">
			<?php
			// You can start editing here -- including this comment!
			if (have_comments()) :
			?>
			<h2 class="comments-title">
				<?php
					$spatium14_comment_count = get_comments_number();
					if ('1' === $spatium14_comment_count) {
						printf(
							/* translators: 1: title. */
							esc_html__('One thought on &ldquo;%1$s&rdquo;', 'spatium14'),
							'<span>' . esc_html(get_the_title()) . '</span>'
						);
					} else {
						printf( // WPCS: XSS OK.
							/* translators: 1: comment count number, 2: title. */
							esc_html(_nx('%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', $spatium14_comment_count, 'comments title', 'spatium14')),
							number_format_i18n($spatium14_comment_count),
							'<span>' . esc_html(get_the_title()) . '</span>'
						);
					}
					?>
			</h2><!-- .comments-title -->
			<?php the_comments_navigation(); ?>
			<ul class="comment-list">
				<?php
					wp_list_comments(array(
						'style'      => 'ul',
						'short_ping' => true,
						'avatar_size'       => 64,
					));
					?>
			</ul><!-- .comment-list -->
			<?php
				the_comments_navigation();
				// If comments are closed and there are comments, let's leave a little note, shall we?
				if (!comments_open()) :
				?>
			<p class="no-comments"><?php esc_html_e('Comments are closed.', 'spatium14'); ?></p>
			<?php
				endif;
			endif; // Check for have_comments().
			//comment_form();
			get_template_part('/template-parts/comment/custom-comment');
			?>
		</div>
	</div>
</div>
<!-- #comments -->