<?php
if (!class_exists('Redux')) {
    return;
}
$opt_name = 'sp14_opt';
$theme = wp_get_theme(); // For use with some settings. Not necessary.
$args = array(
    'display_name'         => $theme->get('Name'),
    'display_version'      => $theme->get('Version'),
    'menu_title'           => esc_html__('User Settings', 'spatium14'),
    'customizer'           => true,
);
Redux::setArgs($opt_name, $args);
//Site header
Redux::setSection($opt_name, array(
    'title'  => esc_html__('Site header', 'spatium14'),
    'id'     => 'head_set',
    'desc'   => esc_html__('Top panel ', 'spatium14'),
    'icon'   => 'el el-pencil',
    'fields' => array(
        //main fields
        array(
            'id' => 'mail',
            'type' => 'text',
            'title' => esc_html__('&#8470; 1. Your mail', 'spatium14'),
            'desc' => esc_html__('Enter postal address', 'spatium14'),
            'class' => 'head-contact',
            'default' => 'your e-mail',
            'placeholder' => esc_html__('E@mail', 'spatium14'),
            'validate' => array('email')
        ),
        array(
            'id' => 'phone',
            'type' => 'text',
            'title' => esc_html__('&#8470; 2. Your phone number', 'spatium14'),
            'desc' => esc_html__('Enter phone number', 'spatium14'),
            'class' =>  'head-contact',
            'default' => '123456789',
            'placeholder' => esc_html__('+1xxxxxx', 'spatium14'),
            'validate' => array(
                'numeric'
            )
        ),
        // Site header end fields
    )
));
//Social links
Redux::setSection($opt_name, array(
    'title'  => esc_html__(' Social links', 'spatium14'),
    'id'     => 'contact_form',
    'desc'   => esc_html__('Links to social media pages ', 'spatium14'),
    'icon'   => 'el el-pencil',
    'fields' => array(
        //main fields
        array(
            'id' => 'soc-insta',
            'type' => 'text',
            'title' => esc_html__('&#8470; 1. Your Instagram page', 'spatium14'),
            'subtitle' => esc_html__('Link to instagram page', 'spatium14'),
            'desc' => esc_html__('Link to instagram page', 'spatium14'),
            'validate' => array('url'),
            'default' => ' https://www.instagram.com/#/ '
        ),
        array(
            'id' => 'soc-fb',
            'type' => 'text',
            'title' => esc_html__('&#8470; 2.  Your facebook ', 'spatium14'),
            'subtitle' => esc_html__('Facebook page link', 'spatium14'),
            'desc' => esc_html__('Facebook page link', 'spatium14'),
            'default' => 'https://www.facebook.com/#/ ',
            'validate' => array('url'),
        ),
        array(
            'id' => 'soc-twit',
            'type' => 'text',
            'title' => esc_html__('&#8470; 3.  Your twitter ', 'spatium14'),
            'subtitle' => esc_html__('Twitter page link', 'spatium14'),
            'desc' => esc_html__('Twitter page link', 'spatium14'),
            'default' => 'https://www.twitter.com/#/ ',
            'validate' => array('url')
        ),
        // Social links end
    )
));
// Site body
Redux::setSection(
    $opt_name,
    array(
        'title'  => esc_html__('Site body', 'spatium14'),
        'id'     => 'body_set',
        'desc'   => esc_html__('Call to action above website footer', 'spatium14'),
        'icon'   => 'el el-pencil',
        'fields' => array(
            //main fields
            array(
                'id' => 'sp_media',
                'type' => 'media',
                'title' => esc_html__('&#8470; 1. Media', 'spatium14'),
                'subtitle' => esc_html__('Background image for page title', 'spatium14'),
                'desc' => esc_html__('Use an image in the form of a horizontal rectangle. Recommended size width 1920px, height minimum 300px', 'spatium14'),
                'url' => true,
                'default'  => array(
                   'url' => esc_url(get_theme_file_uri('/assets/img/placeholder.jpg')),
                ),
            ),
            array(
                'id' => 'footer-cta',
                'type' => 'editor',
                'title' => esc_html__('&#8470; 2. Over footer CTA', 'spatium14'),
                'desc' => esc_html__('Info text for the area above the footer', 'spatium14'),
                'default' => 'Your call to action text',
            ),
            // Site body end
        )
    )
);
// footer
Redux::setSection(
    $opt_name,
    array(
        'title'  => esc_html__('Site footer', 'spatium14'),
        'id'     => 'foot_set',
        'desc'   => esc_html__('Custom scripts ', 'spatium14'),
        'icon'   => 'el el-pencil',
        'fields' => array(
            //main fields
            array(
                'id' => 'user-scripts',
                'type' => 'ace_editor',
                'title' => esc_html__('&#8470; 1. Custom scripts', 'spatium14'),
                'desc' => esc_html__('statistics scripts in the footer of the site', 'spatium14'),
                'default'  => "#footer{\nmargin: 0 auto;\n}"
            ),
            // footer end fields
        )
    )
);