<?php
/**
 * WooCommerce Compatibility File
 *
 * @link https://woocommerce.com/
 *
 * @package Spatium14
 */

/**
 * WooCommerce setup function.
 *
 * @link https://docs.woocommerce.com/document/third-party-custom-theme-compatibility/
 * @link https://github.com/woocommerce/woocommerce/wiki/Enabling-product-gallery-features-(zoom,-swipe,-lightbox)-in-3.0.0
 *
 * @return void
 */
function spatium14_woocommerce_setup() {
	add_theme_support( 'woocommerce' );
	add_theme_support( 'wc-product-gallery-zoom' );
	add_theme_support( 'wc-product-gallery-lightbox' );
	add_theme_support( 'wc-product-gallery-slider' );
}
add_action( 'after_setup_theme', 'spatium14_woocommerce_setup' );

/**
 * WooCommerce specific scripts & stylesheets.
 *
 * @return void
 */
function spatium14_woocommerce_scripts() {
	wp_enqueue_style( 'spatium14-woocommerce-style', get_template_directory_uri() . '/woocommerce.css' );
}
add_action( 'wp_enqueue_scripts', 'spatium14_woocommerce_scripts' );


/*==  Custom  functions ==*/
//delete title on product page
remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_title', 5);

// remove category heading on store main page
add_filter( 'woocommerce_page_title', 'spatium14_cat_page_title');
function spatium14_cat_page_title( $page_title ) {
if( '' == $page_title) {
return "";
}
}