<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package spatium14
 */
get_header();
?>
<div class="uk-section uk-padding-small">
	<div class="uk-container">
		<?php
		the_post_navigation(array(
			'next_text' => '<span class="screen-reader-text">Next post</span> ' .
				'<span class="post-title">%title</span> <span uk-icon="chevron-right" width="34" height="34"></span>',
			'prev_text' => '<span class="screen-reader-text">Previous Post</span> ' .
				' <span uk-icon="chevron-left" width="34" height="34"></span> <span class="post-title">%title</span>',
		));
		?>
	</div>
</div>
<div class="uk-section uk-padding-small">
	<div class=" uk-container ">
		<div class="uk-grid-match  uk-grid-small uk-flex uk-flex-center" uk-grid>
			<div class="uk-width-3-5@m uk-width-2-3@l">
				<div id="primary" class="content-area">
					<main id="main" class="site-main">
						<?php
						while (have_posts()) :
							the_post();
							get_template_part('template-parts/content/content-post', get_post_type());
						endwhile; // End of the loop.
						?>
					</main><!-- #main -->
				</div><!-- #primary -->
			</div>
		</div>
		<hr>
		<?php  //part  is connected  of related post
		get_template_part('template-parts/content/related-post');
		?>
		<?php
		// If comments are open or we have at least one comment, load up the comment template.
		if (comments_open() || get_comments_number()) :
			comments_template();
		endif;
		?>
	</div>
</div>
<?php get_footer(); ?>