<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}


add_filter('comment_form_fields', 'spatium14_comment_fields', 5);

if (!function_exists('spatium14_comment_fields')) {
	function spatium14_comment_fields($fields)
	{
		$new_fields = array();
		$new_order = array('author', 'email', 'url', 'comment'); // нужный порядок

		foreach ($new_order as $key) {
			$new_fields[$key] = $fields[$key];
			unset($fields[$key]);
		}
		if ($fields)
			foreach ($fields as $key => $val) {
				$new_fields[$key] = $val;
			}
		return $new_fields;
	}
}

$args = array(
	// remove the message with the list of allowed HTML tags 
	'comment_notes_after' => '',
	'comment_notes_before' => '',
	//Changing the field layout 
	'fields' => array(
		'author' => '<div class="uk-width-auto@s ">' .
			'<div class="uk-inline">' .
			'<div class="comment-author comment-block">' .
			'<span class="uk-form-icon" uk-icon="icon: user"></span>' .
			'<input id="author" name="author" type="sp-text" value="" size="30" placeholder="Your name * " />' .
			' </div>' . '</div>' . '</div>',

		'email' =>  '<div class="uk-width-auto@s ">' .
			'<div class="uk-inline">' .
			'<div class="comment-email comment-block">' .
			'<span class="uk-form-icon" uk-icon="icon: mail"></span>' .
			'<input id="email" name="email" type="sp-text" value="" size="30" placeholder="Your email * " />' .
			' </div>' . '</div>' . '</div>',

		'url' => '<div class="uk-width-auto@s ">' .
			'<div class="uk-inline">' .
			'<div class="comment-url comment-block">' .
			'<span class="uk-form-icon" uk-icon="icon: world"></span>' .
			'<input id="url" name="url" type="sp-text" value="" size="30" placeholder="Your site" />' . '</div>' . '</div>' . '</div>',


	),
	//Меняем разметку поля комментария textarea
	'comment_field' => '<div class="uk-width-1-1@m">
	 <div class="comment-form-comment uk-margin-top"><textarea id="comment" name="comment" 
        aria-required="true" placeholder="Message"></textarea></div></div>',
	//Меняем разметку кнопки submit

);
comment_form($args);