<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package spatium14
 */
?>
<div class="uk-margin">
	<article id="post-<?php the_ID(); ?>" <?php post_class('uk-card uk-card-default uk-card-body'); ?>>
		<header class="entry-header">
			<?php the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>'); ?>
			<?php if ('post' === get_post_type()) : ?>
				<div class="entry-meta uk-text-meta">
					<?php
					spatium14_posted_on();
					spatium14_posted_by();
					?>
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->
		<?php if (has_post_thumbnail()) { ?>
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail('thumbnail', array('class' => 'uk-align-left')); ?>
			</a>
		<?php } ?>
		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
		<footer class="entry-footer uk-text-meta">
			<?php spatium14_entry_footer(); ?>
		</footer><!-- .entry-footer -->
	</article><!-- #post-<?php the_ID(); ?> -->

</div>