<?php
/**
 * Template part for related-post
 *
 *
 * @package spatium14
 */
?>
<div class="related-post">
    <span uk-icon="icon: list"></span> <?php echo esc_html_e('Related post', 'spatium14') ?>
</div>
<div class="uk-grid-match  uk-grid-small uk-child-width-1-3@m uk-text-center" uk-grid>
    <?php
    $categories = get_the_category($post->ID);
    if ($categories) {
        $category_ids = array();
        foreach ($categories as $individual_category) $category_ids[] = $individual_category->term_id;
        $args = array(
            'category__in' => $category_ids,
            'post__not_in' => array($post->ID),
            'showposts' => 3,
            'orderby' => 'rand',
            'ignore_sticky_posts' => 1
        );
        $spatium14_query = new WP_Query($args);
        if ($spatium14_query->have_posts()) {
            while ($spatium14_query->have_posts()) {
                $spatium14_query->the_post();
    ?>
                <div class="uk-card uk-card-small uk-card-default uk-card-body uk-card-hover">
                    <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php echo get_the_post_thumbnail(); ?>
                        <?php echo '<div class="rp-title">' . esc_html(get_the_title()) . '</div>'; ?>
                    </a>
                </div>
    <?php
            }
        }
        wp_reset_postdata();
    }
    ?>
</div>