<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
?>
<!-- Menu mobile -->
<div uk-sticky="sel-target: uk-navbar-container;
animation: uk-animation-slide-top;
cls-active: uk-navbar-sticky">
	<nav class="uk-navbar uk-navbar-container uk-box-shadow-medium uk-hidden@m cbp-af-header cbp-af-inner cbp-af-header" id="menu" uk-navbar>
		<div class="uk-navbar-right">
			<a class="uk-navbar-toggle" href="#" uk-toggle="target: #menu-mobile">
				<span uk-navbar-toggle-icon></span>
			</a>
		</div>
		<div class="uk-navbar-center">
			<?php
			if (is_front_page() || is_home()) :
				$logo_img = ''; //custom-logo without a circular link to the main
				if ($custom_logo_id = get_theme_mod('custom_logo')) {
					$logo_img = wp_get_attachment_image($custom_logo_id, 'full', false, array(
						'class'    => 'custom-logo ',
						'itemprop' => 'logo ',
					));
				}
				echo $logo_img;
			?>
			<?php else : ?>
				<div href="<?php echo esc_url(home_url('/')); ?>" rel="home">
					<?php the_custom_logo(); //custom-logo with a link to the main page for the remaining pages
					?>
				</div>
			<?php endif; ?>
		</div>
	</nav>
</div>
<!-- offcanvas -->
<div class="uk-offcanvas-content">
	<div id="menu-mobile" uk-offcanvas="mode: push; overlay: true">
		<div class="uk-offcanvas-bar" id="canText">
			<?php if (has_nav_menu('primary')) : ?>
				<?php wp_nav_menu(
					array(
						'theme_location'    => 'primary',
						'depth'             => 0,
						'container'         => 'ul',
						'menu_class'        => 'uk-nav uk-nav-sub uk-nav-default uk-nav-parent-icon',
					)
				); ?>
			<?php endif; ?>
			<button class="uk-offcanvas-close" type="button" uk-close></button>
		</div>
	</div>
</div>
<!-- Menu desktop -->
<div uk-sticky="show-on-up: true; animation: uk-animation-slide-top;">
	<nav class="uk-navbar-container uk-visible@m bg-nav" uk-navbar="mode:hover; dropbar: false; dropbar-mode: push;">
		<div class="uk-navbar-left uk-navbar-item ">
			<?php
			if (is_front_page() || is_home()) :
				$logo_img = ''; //custom-logo without a circular link to the main
				if ($custom_logo_id = get_theme_mod('custom_logo')) {
					$logo_img = wp_get_attachment_image($custom_logo_id, 'full', false, array(
						'class'    => 'custom-logo ',
						'itemprop' => 'logo ',
					));
				}
				echo $logo_img;
			?>
			<?php else : ?>
				<div href="<?php echo esc_url(home_url('/')); ?>" rel="home">
					<?php the_custom_logo(); //custom-logo with a link to the main page for the remaining pages
					?>
				</div>
			<?php endif; ?>
		</div>
		<div class="uk-navbar-center" id="msgText">
			<?php if (has_nav_menu('primary')) : ?>
				<?php wp_nav_menu(
					array(
						'theme_location'    => 'primary',
						'depth'             => 0,
						'container'         => 'ul uk-tab uk-dropdown="pos: top-right; flip: false ',
						'menu_class'        => 'uk-navbar-nav uk-nav uk-dropdown-nav  uk-navbar-parent-icon uk-visible@s ',
						'fallback_cb'       => 'spatium14_Menu_Walker::fallback',
						'walker'            => new spatium14_Menu_Walker(),
					)
				); ?>
			<?php endif; ?>
		</div>
	</nav>
</div>
<!-- Fin menu -->