<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
?>
<?php
global $sp14_opt;
?>
<div class="uk-section site-branding  uk-padding-remove-vertical">
    <div class="uk-container">
        <div class="uk-child-width-1-2@m uk-grid-small uk-flex uk-flex-middle" uk-grid>
            <div class="uk-card">
                <?php if (is_front_page()) { ?>
                <p class="site-title ">
                    <?php bloginfo( 'name' ) ?>
                </p>
                <?php } else { ?>
                <p class="site-title">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?> </a>
                </p>
                <?php } ?>
                <?php
								$spatium14_description = get_bloginfo( 'description', 'display' );
								if ( $spatium14_description || is_customize_preview() ) :
									?>
                <p class="site-description"><?php echo $spatium14_description; /* WPCS: xss ok. */ ?></p>
                <?php endif; ?>
            </div>
            <div class="uk-card">
                <ul class="head-contact">
                    <li>
                        <!-- phone  -->
                        <?php if ($sp14_opt['phone'] !=''): //field fill check redux phone ?>
                        <span uk-icon="icon: phone"></span>
                        <a
                            href="tel://<?php echo esc_attr($sp14_opt['phone'] = preg_replace('/[^0-9]/', '+', $sp14_opt['phone']) );  ?>">
                            <?php echo esc_html($sp14_opt['phone']);  ?>
                        </a><!-- phone  -->
                        <?php endif ?>
                    </li>
                    <li>
                        <!-- mail  -->
                        <!-- other sanitation options break the link  -->
                        <?php if(isset($sp14_opt['mail']) && $sp14_opt['mail']): ?>
                        <span uk-icon="icon: mail"></span>
                        <a href="<?php echo esc_url( 'mailto:' .sanitize_email( $sp14_opt['mail'] ) ); ?>">
                            <?php echo esc_attr(sanitize_email($sp14_opt['mail']) ); ?>
                        </a>
                        <?php endif; ?>
                    </li>
                    <li>
                        <hr>
                    </li>
                    <li>
                        <?php if ($sp14_opt['soc-fb'] !=''): //field fill check redux   ?>
                        <a class="uk-icon-button " uk-icon="facebook"
                            href="<?php echo esc_url($sp14_opt['soc-fb']);  ?>">
                        </a>
                        <?php endif ?>
                        <?php if ($sp14_opt['soc-insta'] !=''): //field fill check redux   ?>
                        <a class="uk-icon-button" uk-icon="instagram"
                            href="<?php echo esc_url($sp14_opt['soc-insta']);   ?>">
                        </a>
                        <?php endif ?>
                        <?php if ($sp14_opt['soc-twit'] !=''): //field fill check redux   ?>
                        <a class="uk-icon-button" uk-icon="twitter"
                            href="<?php echo esc_url($sp14_opt['soc-twit']);  ?>">
                        </a>
                        <?php endif ?>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>